{
  "name": "schoolnewsweb",
  "version": "0.1.0",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite",
    "serve": "vite",
    "build": "vite build",
    "preview": "vite preview",
    "lint": "eslint --ext .ts,.tsx,.vue src"
  },
  "dependencies": {
    "axios": "^1.7.9",
    "core-js": "^3.8.3",
    "echarts": "^6.0.0",
    "element-plus": "^2.11.4",
    "quill": "^2.0.3",
    "register-service-worker": "^1.7.2",
    "vue": "^3.5.22",
    "vue-router": "^4.5.1",
    "vuex": "^4.1.0"
  },
  "devDependencies": {
    "@types/echarts": "^4.9.22",
    "@typescript-eslint/eslint-plugin": "^5.4.0",
    "@typescript-eslint/parser": "^5.4.0",
    "@vitejs/plugin-vue": "^5.0.0",
    "@vue/eslint-config-typescript": "^9.1.0",
    "eslint": "^7.32.0",
    "eslint-plugin-vue": "^8.0.3",
    "sass": "^1.32.7",
    "typescript": "~4.5.5",
    "vite": "^5.0.0",
    "vite-plugin-pwa": "^0.19.0"
  }
}
